function CountStr=AddZeros2CountStr(Ind,MaxExp10)

%   AddZeros2CountStr

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.  


if nargin<2; return; end
IndIn=Ind;
if Ind>0
	Exp10=floor(log10(Ind));
elseif Ind==0
	Exp10=0;
else
	Ind=-Ind;
	Exp10=floor(log10(Ind));
end	
CountStr=int2str(Ind);
while Exp10<MaxExp10
	CountStr=['0',CountStr];
	Exp10=Exp10+1;
end
if IndIn<0
	CountStr=['-',CountStr];
end
return;

